summaryrefslogtreecommitdiffstats
path: root/www/fhttpd/files
diff options
context:
space:
mode:
authorjedgar <jedgar@FreeBSD.org>2000-07-14 01:55:13 +0000
committerjedgar <jedgar@FreeBSD.org>2000-07-14 01:55:13 +0000
commitdf1f78d4befe3b5050493f8c152b2ef65816ddae (patch)
tree49d6308686743cddd48f23f625e9e10c351e9836 /www/fhttpd/files
parentf7c5356da38e1c9372cba089e71bac528e69bc87 (diff)
downloadFreeBSD-ports-df1f78d4befe3b5050493f8c152b2ef65816ddae.zip
FreeBSD-ports-df1f78d4befe3b5050493f8c152b2ef65816ddae.tar.gz
Convert startup script to {start|stop} usage
Diffstat (limited to 'www/fhttpd/files')
-rw-r--r--www/fhttpd/files/fhttpd.sh20
1 files changed, 19 insertions, 1 deletions
diff --git a/www/fhttpd/files/fhttpd.sh b/www/fhttpd/files/fhttpd.sh
index 51bbd8b..916f6e7 100644
--- a/www/fhttpd/files/fhttpd.sh
+++ b/www/fhttpd/files/fhttpd.sh
@@ -1,2 +1,20 @@
#!/bin/sh
-[ -x /usr/local/sbin/fhttpd ] && /usr/local/sbin/fhttpd -c /usr/local/etc/fhttpd.conf -l /usr/local/share/fhttpd/fhttpd.log >/dev/null 2>&1 && echo -n " fhttpd"
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ [ -x ${PREFIX}/sbin/fhttpd ] && ${PREFIX}/sbin/fhttpd -c ${PREFIX}/etc/fhttpd.conf -l ${PREFIX}/share/fhttpd/fhttpd.log > /dev/null 2>&1 && echo -n ' fhttpd'
+ ;;
+stop)
+ killall fhttpd && echo -n ' fhttpd'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0
OpenPOWER on IntegriCloud